<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		

		let Operaciones=function(num1,num2){
			let sup=this;
			/*miembro*/
			this.num1=0;
			this.num2=0;
			this.resultado=0;
			this.Sumar=function(){
				this.resultado=this.num1+this.num2;
			};

			this.Restar=function(){
				this.resultado=this.num2-this.num1;
			};

			this.Producto=function(){
				this.resultado=this.num1*this.num2;
			};

			this.verResultado=function(){
				console.log(this.resultado);
			};

			/*método que se va a ejecutar nada más crear el objeto*/

			function Operaciones(num1,num2){
				sup.num1=num1;
				sup.num2=num2;
				sup.resultado=0;
			};


			/*Llamo a la función constructora*/
			Operaciones(num1,num2);
		};


		let operacion1=new Operaciones(1,2);
		console.log(operacion1.num1);
		operacion1.Sumar();
		operacion1.verResultado();
		operacion1.Restar();
		operacion1.verResultado();

	</script>
</head>
<body>
	
</body>
</html>